Subject: [tcpm] WG acceptance of draft-zimmermann-tcpm-tcp-rfc4614bis-02

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Wed, 31 Jul 2013 13:57:46 +0000

Hi all,

In yesterday's meeting there was support for WG acceptance of draft-zimmermann-tcpm-tcp-rfc4614bis-02. The chairs would like to confirm this on the mailing list.

Please comment on the list if you have any thoughts or concerns regarding adoption of this draft until August 7, 2013.

Thanks

Michael

---

From: "Scheffenegger, Richard" <[email-masked]>
Date: Wed, 31 Jul 2013 16:03:45 +0000

Positive.

Richard Scheffenegger

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Scharf, Michael (Michael)
> Sent: Mittwoch, 31. Juli 2013 15:58
> To: [email-masked]
> Subject: [tcpm] WG acceptance of draft-zimmermann-tcpm-tcp-rfc4614bis-02
> 
> Hi all,
> 
> In yesterday's meeting there was support for WG acceptance of draft-
> zimmermann-tcpm-tcp-rfc4614bis-02. The chairs would like to confirm this
> on the mailing list.
> 
> Please comment on the list if you have any thoughts or concerns regarding
> adoption of this draft until August 7, 2013.
> 
> Thanks
> 
> Michael
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

---

From: Joe Touch <[email-masked]>
Date: Wed, 31 Jul 2013 15:20:10 -0700

Support.

FWIW, the experimental options doc should have an RFC number any day 
now, and should be included, as should RFC 4727 which defined the TCP 
experimental option numbers.

Joe

---

From: Kevin Lahey <[email-masked]>
Date: Thu, 1 Aug 2013 08:07:57 +0200

> In yesterday's meeting there was support for WG acceptance of draft-zimmermann-tcpm-tcp-rfc4614bis-02. The chairs would like to confirm this on the mailing list.

This seems like a fine idea.

It would be nice if, instead of saying, "Read RFC793, then read the additions from RFC1122, then update it with info from RFC2873, RFC3390, etc.," we could say, "Read RFC8888 for the on-wire protocol details, and RFC8889 for the congestion control details."  It's tough to keep all those details in your head while trying to write code, and it's frustrating to explain all this to new engineers trying to work on the TCP stack (RFC4614 certainly helps a great deal!).

On the other hand, watching Richard work so hard to get consensus on the (relatively) simple updates to RFC1323, I'm not sure who's ready to bell the RFC793bis cat.

Certainly not me,

Kevin
[email-masked]